Activate publisher
This endpoint activates publisher. Publisher is active by default, so you shouldn’t make this request unless the publisher is inactive.
HTTP Request
Section titled “HTTP Request”POST https://adelion.com/api/publisher/activate| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | Publisher ID. | required |
{ "Publisher": { "Id": 1 }}Response
Section titled “Response”{ "Status": "Ok", "Publisher": { "Id": 1, "TeamId": 1, "Mail": "publisher@mail.com", "Name": "Publisher", "Description": "Publisher desc", "Website": "www.publisher.com", "Country": "US", "City": "New York", "ZipCode": "123456", "Address": "123 Street", "Phone": "+11111111111", "MsgApp": "[msg_app]", "MsgAccount": "[msg_account]", "PlatformDomain": "google.com", "SellersJsonDomain": "realtimebidding.google.com", "Username": "publisher1", "SellerType": 2, "SellerId": "", "StatsAuth": "7sdd23", "StatsByDateCsv": "https://adelion.com/api/ortb/stats/publisher/general?username=publisher1&auth=7sdd23&date_from={date_from}&date_to={date_to}", "StatsByDateJson": "https://adelion.com/api/ortb/stats/publisher/general?username=publisher1&auth=7sdd23&date_from={date_from}&date_to={date_to}&type=json", "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active", "BannerEpsCount": 1, "VastTagsCount": 1, "RtbEpsCount": 1, "PopFeedsCount": 1 }}Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
400 | Bad Request | You sent a body that isn’t JSON. |
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |